Update a knowledge website
Update a specific website crawl entry by its ID.
API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.
The unique identifier of the website crawl entry
Meta Business Agent API version
Updated website
The URL of the website to crawl
https://example.comThe updated website crawl entry
A single website crawl entry
The current status of the crawl (e.g., "pending", "in_progress", "completed", "failed")
The timestamp when the website entry was created
The unique identifier for this website crawl entry
1234567890The timestamp when the website was last successfully crawled
The number of pages successfully crawled
The URL of the website being crawled
https://example.comBad request
Unauthorized
Forbidden
Not found
Too many requests
Server error
PUT /agent_config/websites/{website_id} HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 29
{
"url": "https://example.com"
}{
"crawl_status": "text",
"created_at": 1,
"id": "1234567890",
"last_crawled_at": 1,
"pages_crawled": 1,
"url": "https://example.com"
}Last updated
Was this helpful?